Get the user's balance for a single asset.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"asset_id": "<string>",
"balance": "<string>",
"pending_balance": "<string>"
}Custody
Get the user's balance for a single asset.
GET
/
custody
/
get-balance
Get the user's balance for a single asset.
curl --request GET \
--url https://api.symbiosis.markets/custody/get-balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/custody/get-balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/custody/get-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"asset_id": "<string>",
"balance": "<string>",
"pending_balance": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
The supported markets of the system.
Available options:
polymarket, kalshi, limitless Response
An amount in the asset's native indivisible units.
A fixed point representation of a token or USDC amount, scaled by 1e6.
Responses encode amounts as 0x-prefixed hex strings; requests also accept decimal strings and JSON numbers.
An amount in the asset's native indivisible units.
A fixed point representation of a token or USDC amount, scaled by 1e6.
Responses encode amounts as 0x-prefixed hex strings; requests also accept decimal strings and JSON numbers.